@ECHO OFF
REM To run with data in a separate directory:
REM   - Create the data directory.
REM   - Move *.DAT, *.K01, and CAPGNZ.INF to the new data directory.
REM   - Add the program directory to your DOS PATH.
REM   - Remove the 2 lines below that change the drive and dir.
REM   - Execute CG.BAT while in the data directory.
D:
CD \CAPGNZ
ECHO Deleting temporary files...
IF EXIST *.TMP DEL *.TMP
IF EXIST *.RUN DEL *.RUN
ECHO > CG.RUN
REM
REM The next line sets your temporary directory. You'll get the
REM best performance if the directory points to a RAM drive.
SET CLATMP=D:\CAPGNZ
REM CLAVM0-CLAVM4 are used to specify virtual memory sources.
REM See the Capital Gainz Users Manual for details.
REM SET CLAVMx=path,size,ram-indicator
REM
REM You may want to stick a backup command here, such as:
REM     CALL CAPGNZBU A
REM
REM Reserve some environment space for shelling to DOS...
SET CG_ENV=XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
IF NOT '%CG_ENV%'=='' GOTO ENV_OK
ECHO Not enough DOS Environment Space to modify prompt when shelling to DOS.
ECHO You may want to increase the /E: setting on the SHELL= line in CONFIG.SYS.
PAUSE
:ENV_OK
REM
ECHO Loading program...
REM
:CAPGNZ
CAPGNZ.EXE
GOTO WHERETO
REM
:CGUTIL
CGUTIL.EXE
GOTO WHERETO
REM
:CGGRAPH
CGGRAPH.EXE
GOTO WHERETO
REM
:CGDNLD
CGDNLD.EXE
GOTO WHERETO
REM
:WHERETO
REM You may want to uncomment the following line if you
REM use DOS SMARTDRV, or replace it with a similar command
REM to flush whichever disk cache you are using.
REM SMARTDRV /C
ECHO > CG.RUN
IF EXIST CAPGNZ.RUN GOTO CAPGNZ
IF EXIST CGUTIL.RUN GOTO CGUTIL
IF EXIST CGGRAPH.RUN GOTO CGGRAPH
IF EXIST CGDNLD.RUN GOTO CGDNLD
IF EXIST *.RUN DEL *.RUN
REM
SET CG_ENV=
REM
REM You may want to stick a backup command here, such as:
REM     CALL CAPGNZBU A
REM
